• Advertisement
Sign in to follow this  

SDL_Mixer and Flac support

This topic is 2679 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

Hi

I trying to compile and install SDL_mixer (1.2.11) with Flac support. But I got this message when I execute ./configure.

---
checking FLAC/export.h usability... no
checking FLAC/export.h presence... no
checking for FLAC/export.h... no
configure: WARNING: *** Unable to find FLAC library (http://flac.sourceforge.net
/)
configure: WARNING: FLAC support disabled
---

I have flac-1.2.1 installed and ready.

I quess this is an easy problem for a lot of you people, but I'm quite new to this so I need some tips.

Best regards,

Mike Rockstone

Share this post


Link to post
Share on other sites
Advertisement
Thanks GenPFault for your Tips.

This was in the log. I understand that the Library/File can't be found. But I can't figure out how to solve it. How to explain for ./configure where to find the files.

----

configure:13399: checking FLAC/export.h usability
configure:13416: gcc -c -g -O2 -D_GNU_SOURCE=1 -D_GNU_SOURCE=1 conftest.c >&5
conftest.c:52:25: fatal error: FLAC/export.h: No such file or directory
compilation terminated.

---

And this is whats in the beginning of the log.

PATH: .
PATH: /usr/local/bin
PATH: /mingw/bin
PATH: /bin
PATH: /c/Windows/system32
PATH: /c/Windows
PATH: /c/Dev/flac-1.2.1

---

Br,

Mark Rockstone

Share this post


Link to post
Share on other sites
I'm not sure what FLAC package that is, but does it have the header and static libs, or is it just a DLL?

At any rate, you need to make configure see these directories. Usually, that'll be done with something like "./configure --with-flac=/c/Dev/flac-1.2.1".

Share this post


Link to post
Share on other sites
Hi and thanks for your support!

There is no parameter --with-flac.

About Flac-files.
The sourcecode is from http://www.libsdl.org/projects/SDL_mixer/SDL_mixer-1.2.1

I have unpacked the Zip-file and compile it, no errors at all.

• cd c:/dev/flac-1.2.1
• ./configure --disable-rpath --disable-xmms-plugin --enable-sse
• make
• make install

Best regards

Mark

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement